SPAMBAYES(1)

NAME
SpamBayes - A hammie front-end to make the simple stuff simple.

SYNOPSIS
sb_filter [options] [filenames]

DESCRIPTION
SpamBayes Command Line Filter Version 1.1b1 (February, 25, 2011)

  Options can one or more of:

-h

    show usage and exit

-v

    show version and exit

-x

    show some usage examples and exit

-d DBFILE

    use database in DBFILE

-p PICKLEFILE

    use pickle (instead of database) in PICKLEFILE

-n

    create a new database

* -f

    filter (default if no processing options are given)

* -g

    (re)train as a good (ham) message

* -s

    (re)train as a bad (spam) message

* -t

    filter and train based on the result -- you must make sure to untrain all mistakes later. Not recommended.

* -G

    untrain ham (only use if you've already trained this message)

* -S

    untrain spam (only use if you've already trained this message)

-o section:option:value

    set [section, option] in the options database to value

-P

    Run under control of the Python profiler, if it is available

All options marked with '*' operate on stdin, and write the resultant message to stdout.

If no filenames are given on the command line, standard input will be processed as a single message. If one or more filenames are given on the command line, each will be processed according to the following rules:

    * If the filename is '-', standard input will be processed as a single

    message (may only be usefully given once).

    * If the filename starts with '+' it will be processed as an MH folder.

    * If the filename is a directory and it contains a subdirectory named

    'cur', it will be processed as a Maildir.

    * If the filename is a directory and it contains a subdirectory named

    'Mail', it will be processed as an MH Mailbox.

    * If the filename is a directory and not a Maildir nor an MH Mailbox, it

    will be processed as a Mailbox directory consisting of just .txt and .lorien files.

    * Otherwise, the filename is treated as a Unix-style mailbox (messages

    begin on a line starting with 'From ').

Output is always to standard output as a Unix-style mailbox.

SEE ALSO
The full documentation for SpamBayes is maintained as a Texinfo manual. If the info and SpamBayes programs are properly installed at your site, the command

    info SpamBayes

should give you access to the complete manual.